apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: minage
  name: minage
spec:
  replicas: 5
  selector:
    matchLabels:
      app: minage
  template:
    metadata:
      labels:
        app: minage
        version: "1"
    spec:
      containers:
      - image: nginx:alpine
        name: mineur
#      nodeSelector:
#        carte-graphique: ASUS123B
      affinity:
        nodeAffinity:
          requiredDuringSchedulingIgnoredDuringExecution:
            nodeSelectorTerms:
            - matchExpressions:
              - key: carte-graphique
                operator: In
                values:
                - NV459X
                - ASUS123B
